## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005

from CvPythonExtensions import *
import CvUtil
import PyHelpers
import CvEventManager
import sys
import ResearchProgress
import CvGreatPersonScreen
	
gc = CyGlobalContext()

researchProgress = ResearchProgress.ResearchProgress()
PyPlayer = PyHelpers.PyPlayer

# globals
###################################################
class CvCustomEventManager(CvEventManager.CvEventManager):

	def __init__(self):
		# initialize base class
		self.parent = CvEventManager.CvEventManager
		self.parent.__init__(self)
		# GreatPerson Mod -------- begin
		# Make me a copy of the great person screen creation utility:
		self.greatPersonScreen = CvGreatPersonScreen.CvGreatPersonScreen()
		# GreatPerson Mod -------- end

	def onBeginGameTurn(self, argsList):
		self.parent.onBeginGameTurn(self, argsList)
		researchProgress.onBeginGameTurn(argsList)

	# GreatPerson Mod -------- begin
	def onGreatPersonBorn(self, argsList):
		'Great Person Born'
		pUnit, iPlayer, pCity = argsList
		player = PyPlayer(iPlayer)
		
		# Tell parent:
		self.parent.onGreatPersonBorn(self, argsList)
		
		# Check if we should even show the popup:
		if pUnit.isNone() or pCity.isNone():
			return
		
		#Show fancy lil popup if *we* got the great person:
		iActivePlayer = CyGame().getActivePlayer()
		if iActivePlayer == iPlayer:
			self.greatPersonScreen.interfaceScreen(pUnit, pCity)
	# GreatPerson Mod -------- end